> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a user

> Updates the specified user by providing values to parameters passed. Any parameter left out of the request will cause the specific user’s attribute to remain unchanged.

<Note>
**Known Limitation**

Currently all user fields are required
</Note>



## OpenAPI

````yaml /openapi/platform/user.yaml PUT /v1/users/{id}
openapi: 3.1.0
info:
  title: User API
  version: '1.0'
  description: >-
    User objects allow you to manage a user and the user’s attributes such as a
    department, phone number, employee number, email, and username. The API
    allows you to create, retrieve a user or a list of users, and update user
    information.


    ## The user object


    ## Attributes


    Property Name | Type | Description

    ------- | ------- | -------

    name | string | User's full name

    email | string | User's primary email used in profile

    role | string | The role of the user created (available roles are: 'Admin',
    'Privileged', 'Participant')

    title | string | User's job title

    alternateEmail | string | User's secondary email in profile

    phone | string | Primary phone number of user

    location | string | Free text that can be used to define office location
    (e.g. City, State, Country)

    timezone | string | Time zone used to display to user the system times
    throughout Domo application

    locale | date-time | Locale used to display to user the system settings
    throughout Domo application

    employeeNumber | string | Employee number within company
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/users/{id}:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: The ID of the user
    put:
      summary: Update a user
      description: >-
        Updates the specified user by providing values to parameters passed. Any
        parameter left out of the request will cause the specific user’s
        attribute to remain unchanged.


        <Note>

        **Known Limitation**


        Currently all user fields are required

        </Note>
      parameters:
        - schema:
            type: string
          in: query
          name: name
          description: User's full name
        - schema:
            type: string
          in: query
          name: email
          description: User's primary email used in profile
        - schema:
            type: string
          in: query
          description: >-
            The system role of the user (available roles are: 'Admin',
            'Privileged', 'Participant')
          name: role
        - schema:
            type: integer
          in: query
          description: The ID of the system role of the user
          name: roled
        - schema:
            type: string
          in: query
          description: User's job title
          name: title
        - schema:
            type: string
          in: query
          description: User's secondary email in profile
          name: alternateEmail
        - schema:
            type: string
          in: query
          name: phone
          description: Primary phone number of user
        - schema:
            type: string
          in: query
          description: >-
            Free text that can be used to define office location (e.g. City,
            State, Country)
          name: location
        - schema:
            type: string
          in: query
          name: timezone
          description: >-
            Time zone used to display to user the system times throughout Domo
            application
        - schema:
            type: string
          in: query
          name: locale
          description: >-
            Locale used to display to user the system settings throughout Domo
            application
        - schema:
            type: string
          in: query
          name: employeeNumber
          description: Employee number within company
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                role:
                  type: string
                name:
                  type: string
              x-examples:
                Example 1:
                  email: leonhard.euler@domo.com
                  role: Admin
                  name: Leonhard Euler
            examples:
              Example 1:
                value:
                  email: leonhard.euler@domo.com
                  role: Admin
                  name: Leonhard Euler
      responses:
        '200':
          description: Returns a 200 response code when successful.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````